%define major 1
%define libname %mklibname globus-gsi-credential %{major}
%define develname %mklibname globus-gsi-credential -d

Name:		globus-gsi-credential
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	8.3
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus GSI Credential Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-gsi-callback) >= 4
BuildRequires:	pkgconfig(globus-openssl-module) >= 3
BuildRequires:	pkgconfig(globus-gsi-openssl-error) >= 2
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:	pkgconfig(globus-gsi-cert-utils) >= 8
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-gsi-sysconfig) >= 5
BuildRequires:	doxygen
BuildRequires:	graphviz

%package -n %{develname}
Summary:	Globus Toolkit - Globus GSI Credential Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-gsi-callback) >= 4
Requires:	pkgconfig(globus-openssl-module) >= 3
Requires:	pkgconfig(globus-gsi-openssl-error) >= 2
Requires:	pkgconfig(globus-gsi-cert-utils) >= 8
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-gsi-sysconfig) >= 5

%package doc
Summary:	Globus Toolkit - Globus GSI Credential Library Documentation Files
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI Credential Library

%package -n %{libname}
Summary: Globus Toolkit - Globus GSI Credential Library
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI Credential Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus GSI Credential Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus GSI Credential Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
%if %{?fedora}%{!?fedora:0} >= 19 || %{?rhel}%{!?rhel:0} >= 7 || %{?suse_version}%{!?suse_version:0} >= 1315
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache

autoreconf -if
%endif

%if %{?rhel}%{!?rhel:0} == 5
export OPENSSL="$(which openssl101e)"
%endif

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus_*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libglobus_*.so

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*




%changelog
* Sun Oct 02 2022 neoclust <neoclust> 8.3-1.mga9
+ Revision: 1893917
- New version

* Fri Apr 01 2022 umeabot <umeabot> 8.2-3.mga9
+ Revision: 1838661
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 8.2-2.mga9
+ Revision: 1747405
- rebuild for openssl 3.0.0

* Fri Dec 18 2020 joequant <joequant> 8.2-1.mga8
+ Revision: 1660736
- update to 8.2

* Sun May 03 2020 joequant <joequant> 8.1-1.mga8
+ Revision: 1578577
- update to 8.1

* Tue Apr 28 2020 joequant <joequant> 7.14-1.mga8
+ Revision: 1572675
- imported package globus-gsi-credential

